> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/instant-issuance/instant-issuance-ja/wosuru/wosuru.md).

# 生産状況を追跡する

処理追跡データは `詳細` に対する `PRODUCE` 操作で返されます。

### 物理カード発行ステータス <a href="#physical-card-issuance-statuses" id="physical-card-issuance-statuses"></a>

| ステータスコード              | 説明                          |
| --------------------- | --------------------------- |
| `CARD_PROD_REQUESTED` | カードの個別化がD1 API経由で要求されました。   |
| `CARD_PROD_READY`     | データは正常に処理されました。             |
| `CARD_PROD_DONE`      | カードの個別化が正常に完了しました。          |
| `DATA_EXCEPTION`      | データ処理中にエラーが発生しました。          |
| `CARD_PROD_EXCEPTION` | カードの個別化で問題が発生しました。          |
| `CARD_PROD_CANCELED`  | カードの個別化はイシュアによってキャンセルされました。 |

### `詳細` フィールド

<table><thead><tr><th>フィールド</th><th width="151.99993896484375">説明</th><th>有無</th></tr></thead><tbody><tr><td><code>ステータス</code></td><td>物理発行ステータス。</td><td>常に</td></tr><tr><td><code>理由</code></td><td>データ処理またはカードの個別化に失敗した場合の追加詳細。</td><td>条件付き（例外時）</td></tr></tbody></table>

### 例

{% tabs %}
{% tab title="CARD\_PROD\_REQUESTED" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "PENDING",
      "startTime": "2025-01-17T06:28:02.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "CARD_PROD_REQUESTED"
      }
    }
  ]
}
```

{% endtab %}

{% tab title="CARD\_PROD\_READY" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "PENDING",
      "startTime": "2025-01-17T06:28:02.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "CARD_PROD_READY"
      }
    }
  ]
}
```

{% endtab %}

{% tab title="DATA\_EXCEPTION" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "FAILED",
      "startTime": "2025-01-17T06:28:02.492Z",
      "endTime": "2025-01-21T09:28:12.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "DATA_EXCEPTION",
        "reason": "MISSING_SATELLITEUID"
      }
    }
  ]
}
```

{% endtab %}

{% tab title="CARD\_PROD\_DONE" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "SUCCESSFUL",
      "startTime": "2025-01-17T06:28:02.492Z",
      "endTime": "2025-01-21T09:28:12.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "CARD_PROD_DONE"
      }
    }
  ]
}
```

{% endtab %}

{% tab title="CARD\_PROD\_EXCEPTION" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "FAILED",
      "startTime": "2025-01-17T06:28:02.492Z",
      "endTime": "2025-01-21T09:28:12.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "CARD_PROD_EXCEPTION",
        "reason": "CB_TIME"
        }
      }
  ]
}
```

{% endtab %}

{% tab title="CARD\_PROD\_CANCELED" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "FAILED",
      "startTime": "2025-01-17T06:28:02.492Z",
      "endTime": "2025-01-21T09:28:12.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "CARD_PROD_CANCELED"
        }
      }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/instant-issuance/instant-issuance-ja/wosuru/wosuru.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
